name: Deploy Portfolio

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: benny-vps
    steps:
      - name: Pull latest code
        run: |
          cd /var/www/Portfolio
          git pull origin main

      - name: Install Python dependencies
        run: |
          cd /var/www/Portfolio
          /var/www/Portfolio/port/bin/pip3 install -q -r requirements.txt

      - name: Restart application service
        run: |
          sudo systemctl restart port